org.mariadb.jdbc.internal.queryresults

## Class UpdateResult

- java.lang.Object
- - org.mariadb.jdbc.internal.queryresults.AbstractQueryResult
  - - org.mariadb.jdbc.internal.queryresults.UpdateResult

    public class UpdateResult
    extends AbstractQueryResult

### Field Summary

### Fields inherited from class org.mariadb.jdbc.internal.queryresults.AbstractQueryResult

`isClosed`

### Constructor Summary

Constructors
Constructor and Description
`UpdateResult(long updateCount, long insertId)` Create Update result object.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addResult(AbstractQueryResult other)` When using rewrite statement, there can be many insert/update command send to database, according to max_allowed_packet size.
`ColumnInformation[]` `getColumnInformation()`
`long` `getInsertId()`
`ResultSetType` `getResultSetType()`
`int` `getRows()`
`long` `getUpdateCount()`

### Methods inherited from class org.mariadb.jdbc.internal.queryresults.AbstractQueryResult

`close, isClosed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpdateResult

    public UpdateResult(long updateCount,
                        long insertId)

Create Update result object.

Parameters:
  `updateCount` - updateCount
  `insertId` - insertId

### Method Detail

#### addResult

    public void addResult(AbstractQueryResult other)

When using rewrite statement, there can be many insert/update command send to database, according to max_allowed_packet size. the result will be aggregate with this method to give only one result stream to client.

Specified by:
  `addResult` in class `AbstractQueryResult`
Parameters:
  `other` - other AbstractQueryResult.

#### getUpdateCount

    public long getUpdateCount()

#### getResultSetType

    public ResultSetType getResultSetType()

Specified by:
  `getResultSetType` in class `AbstractQueryResult`

#### getColumnInformation

    public ColumnInformation[] getColumnInformation()

Specified by:
  `getColumnInformation` in class `AbstractQueryResult`

#### getRows

    public int getRows()

Specified by:
  `getRows` in class `AbstractQueryResult`

#### getInsertId

    public long getInsertId()